> For the complete documentation index, see [llms.txt](https://docs.stylemixthemes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stylemixthemes.com/nuxy/fields-group.md).

# Fields group

![](/files/-MSS-Zxq-sIJCUSIMOCD)

First three options visually grouped in one block.&#x20;

Just add to start field:

```
'group' => 'started',
```

And in end of group:

```
'group' => 'ended',
```

```
'field_1' => array(
    'type' => 'text',
    'group' => 'started',
    'label' => esc_html__('Text field', 'my-domain'),
    'hint' => esc_html__('Hint field', 'my-domain'),
    'description' => esc_html__('Description of field', 'my-domain'),
    'submenu' => esc_html__('General fields', 'my-domain'),
    'placeholder' => esc_html__('Sample Config', 'my-domain'),
),
'field_1_2' => array(
    'type' => 'text',
    'label' => esc_html__('Text field', 'my-domain'),
    'description' => esc_html__('Long description with a lot of text to test of fields.', 'my-domain'),
    'submenu' => esc_html__('General fields', 'my-domain'),
    'placeholder' => esc_html__('Sample Config', 'my-domain'),
),
'field_2' => array(
    'type' => 'number',
    'label' => esc_html__('Number field', 'my-domain'),
    'step' => 20,
    'description' => esc_html__('Long description with a lot of text to test of fields.', 'my-domain'),
    'submenu' => esc_html__('General fields', 'my-domain'),
    'placeholder' => esc_html__('Sample Config', 'my-domain'),
    'group' => 'ended',
),
```

�


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stylemixthemes.com/nuxy/fields-group.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
